<?php
/************************************************************************/
/* WB_BlocksManager v1.0                                                */
/* Module for phpnuke 6.x and 7.x by Paulo FERREIRA                     */
/* Copyright (C) 2003 Paulo Ferreira                                    */
/* Web:   http://www.phpnuke-belgique.org/                              */
/* Email: webmaster@phpnuke-belgique.org                                */
/* =====================================================================*/
/* James Johnston                                                       */
/* http://www.techknowpro.com                                           */
/* =====================================================================*/
/* nono                                                                 */
/* http://osc2nuke.org/                                                 */
/* =====================================================================*/
/* Maximus: Advanced Content Management System                          */
/* =====================================================================*/
/* Version dédiée à Maximus                                             */
/* Controle fonctionnement et modifications réalisées:  diabolo & cyril */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/* =====================================================================*/
/* PHP-NUKE: Advanced Content Management System                         */
/* =====================================================================*/
/*                                                                      */
/* Copyright (c) 2002 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}

switch($op) {

    case 'BlocksManager':
    case 'BlocksManager_Add':
    case 'BlocksManager_AddBlock':
    case 'BlocksManager_Remove':
    case 'BlocksManager_BlockPosition':
    case 'BlocksManager_View':
    case 'BlocksManager_BlockOrder':
    case 'BlocksAdd':
    case 'BlocksManager_AllBlocks':
    case 'BlocksManager_ChangeStatus':
    case 'BlocksManager_DelBlock';
    case 'BlocksManager_AllModules':
    case 'BlocksManager_BlocksEdit':
    case 'BlocksManager_BlocksEditSave':
    case 'BlocksManager_block_show':
    case 'HeadlinesAdmin':
    case 'HeadlinesEdit':
    case 'HeadlinesAdd':
    case 'HeadlinesDel':
    case 'HeadlinesSave':
    case 'FixConflicts':
    include_once('admin/modules/blocks_manager.php');
    break;
}